Download it now!
Bug 128114 - PARAGRAPH DIALOG: If indents or paragraph spacing are mixed, settings in paragraph dialog should be blank
Summary: PARAGRAPH DIALOG: If indents or paragraph spacing are mixed, settings in para...
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.2.7.1 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Paragraph-Dialog
  Show dependency treegraph
 
Reported: 2019-10-13 00:55 UTC by Nick Levinson
Modified: 2019-10-17 06:01 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
sample for problem (9.05 KB, application/vnd.oasis.opendocument.text)
2019-10-16 00:20 UTC, Nick Levinson
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Levinson 2019-10-13 00:55:25 UTC
Description:
If several paragraphs have different indents or spacings, the dialog should not describe one characteristic as if true of all of the paragraphs, because when another characteristic is applied to one paragraph and repeated to others the repetition can cause unexpected results.

Steps to Reproduce:
1. Make an .odt document with a title, several body paragraphs, and a closing line.
2. Select the first body paragraph.
3. In Format > Paragraph > Indents & Spacing, set the paragraph so that Indent > First Line is 0.00" and Spacing > Above Paragraph is 0.33".
4. Select the other body paragraphs without the first.
5. In Format > Paragraph > Indents & Spacing, set the paragraphs so that Indent > First Line is 0.75" and Spacing > Above Paragraph is 0.08".
6. Press alt-o alt-a (Format > Paragraph). In the resulting dialog, the Indents & Spacing tab is preselected.

Actual Results:
The dialog shows First Line as 0.00" and Above Paragraph as 0.00".

Expected Results:
The dialog should show both values as blank.

It should resume showing a blank value whenever multiple paragraphs are selected and a value differs in different paragraphs within a selection.


Reproducible: Always


User Profile Reset: Yes


OpenGL enabled: Yes

Additional Info:
From what I remember, this is a regression.

I am not set up to test the early adopter's version of LO. This version is current from the LO website and is part of the distro I use.
Comment 1 Dieter 2019-10-13 12:23:30 UTC
Nick, thank you for reporting the bug. Please attach a sample document, as this makes it easier for us to verify the bug. 
I have set the bug's status to 'NEEDINFO'. Please change it back to 'UNCONFIRMED' once the requested document is provided.
(Please note that the attachment will be public, remove any sensitive information before attaching it)
Comment 2 Nick Levinson 2019-10-16 00:20:28 UTC
Created attachment 155026 [details]
sample for problem
Comment 3 Nick Levinson 2019-10-16 00:28:52 UTC
I attached a test file. It has four paragraphs. I used a simpler layout and different paragraph format values than in my STR, showing that the problem does not depend precisely on what's in the STR.

Select all the paragraphs, or just the last three. Then, go to the Format menu > Paragraph > Indents & Spacing.

The relevant fields have the values for the first selected paragraph, but the selection includes more paragraphs and they have different values, so those fields should be empty. Such a field should have a value only if the value is correct for all selected paragraphs.
Comment 4 Dieter 2019-10-16 11:38:25 UTC
I can't confirm it with

Version: 6.3.2.2 (x64)
Build-ID: 98b30e735bda24bc04ab42594c85f7fd8be07b9c
CPU-Threads: 4; BS: Windows 10.0; UI-Render: Standard; VCL: win; 
Gebietsschema: de-DE (de_DE); UI-Sprache: de-DE
Calc: threaded

and also not with

Version: 6.4.0.0.alpha0+ (x64)
Build ID: 460908269972fd1f89312a1e62897ed1503e9e98
CPU threads: 4; OS: Windows 10.0; UI render: GL; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2019-09-30_09:18:03
Locale: de-DE (de_DE); UI-Language: en-US
Calc: threaded

Nick, could you please try to reproduce it with the latest version of LibreOffice from https://www.libreoffice.org/download/libreoffice-fresh/ ? I have set the bug's status to 'NEEDINFO'. Please change it back to 'UNCONFIRMED' if the bug is still present in the latest version. Change to RESOLVED WORKSFORME, if the problem went away.
Comment 5 Nick Levinson 2019-10-17 02:46:34 UTC
I'll take your word that it's been fixed in newer versions and will set FIXED on the basis of your statement.
Comment 6 Dieter 2019-10-17 06:01:19 UTC Comment hidden (obsolete)